Draft: Raccordo

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Draft Fillet and the translation is 100% complete.

Other languages:
English • ‎français • ‎italiano
Arrow-left.svg Draft Wire.svg Polilinea Pagina precedente:
Pagina successiva: Cerchio Draft Circle.svg Arrow-right.svg

Draft Fillet.svg Raccordo

Posizione nel menu
Draft → Raccordo
Ambiente
Draft
Avvio veloce
Nessuno
Introdotto nella versione
0.19
Vedere anche
Linea, Polilinea


Descrizione

Lo strumento Raccordo crea un raccordo, un angolo arrotondato, tra due semplici Linee. In alternativa, può creare uno smusso, un bordo dritto, tra queste due linee.

Draft Fillet example.png

Diversi filetti e smussi creati tra due linee


Utilizzo

  1. Selezionare due linee già inserite nel documento e che si incontrano in un punto.
  2. Premere il pulsante Draft Fillet.svg Raccordo.
  3. Scegliere il raggio del raccordo, quindi premere Invio.

Note:

  • Se il raggio è troppo grande in modo che l'arco prodotto non sia tangente a una delle linee, l'operazione non avrà un esito positivo.
  • Al momento sono supportate solo singole linee; le polilinee, ovvero linee con più punti, potrebbero non produrre il risultato desiderato.

Creazione alternativa di raccordi e smussi

Una polilinea che ha almeno tre punti può anche creare un raccordo o uno smusso.

  1. Selezionare due linee già inserite nel documento e che si incontrano in un punto.
  2. Premere il pulsante Draft Fillet.svg Polilinea. Questo fonde le due linee in un singolo oggetto Wire.
  3. Nelle proprietà, inserire il valore numerico desiderato per DATAFillet Radius o DATAChamfer Size.

Questo metodo funziona anche quando si uniscono due diverse polilinee.

Opzioni

  • Selezionare la casella di controllo "Elimina oggetti originali" se si desidera eliminare le due linee originali e lasciare solo il nuovo oggetto raccordo.
  • Selezionare la casella di controllo "Crea smusso" se si desidera creare un bordo dritto, anziché un bordo arrotondato, tra le due linee.
  • Premere Esc o Chiudi per annullare il comando corrente.

Proprietà

Un oggetto Fillet condivide la maggior parte delle proprietà di una polilinea, tuttavia, solo alcune di queste proprietà sono applicabili al raccordo.

Dati

  • DATAStart: (sola lettura) specifica il punto iniziale.
  • DATAEnd: (sola lettura) specifica il punto finale.
  • DATALength: (sola lettura) specifica la lunghezza dell'intero segmento.
  • DATAFillet Radius: (sola lettura) raggio con cui è stato creato il raccordo.

Vista

  • VIEWEnd Arrow: se è True verrà visualizzato un simbolo nell'ultimo punto della linea, quindi può essere usata come una linea di annotazione.
  • VIEWArrow Size: specifica la dimensione del simbolo visualizzato alla fine della linea.
  • VIEWArrow Type: specifica il tipo di simbolo visualizzato alla fine della linea, che può essere "Dot", "Circle", "Arrow", o "Tick", or "Tick-2" ("Punto", "Cerchio", "Freccia", o "Tratto").

Script

Vedere anche: Draft API e Nozioni di base sugli script di FreeCAD.

Lo strumento Fillet può essere utilizzato nelle macro e dalla console Python utilizzando la seguente funzione:

Fillet = makeFillet([line1, line2], radius=100, chamfer=False, delete=False)
  • Crea un oggetto Fillet tra le linne line1 e line2, usando radius come raggio di curvatura.
  • Se chamfer è True crea un bordo dritto con la lunghezza di radius, invece di un bordo arrotondato.
  • Se delete è True cancella le line1 e line2, e lascia solo il nuovo oggetto.

Esempio:

import FreeCAD as App
import Draft
import DraftFillet

p1 = App.Vector(0, 0, 0)
p2 = App.Vector(1000, 1000, 0)
p3 = App.Vector(2000, 0, 0)

Line1 = Draft.makeLine(p1, p2)
Line2 = Draft.makeLine(p2, p3)
App.ActiveDocument.recompute()

Fillet = DraftFillet.makeFillet([Line1, Line2], radius=500)
Arrow-left.svg Draft Wire.svg Polilinea Pagina precedente:
Pagina successiva: Cerchio Draft Circle.svg Arrow-right.svg